> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post folderv1folders permissions



## OpenAPI

````yaml /openapis/folder.json post /folder/v1/folders/{folderId}/permissions
openapi: 3.0.1
info:
  description: "The AODocs REST API exposes most of the features of AODocs. It can be used to implement custom applications, third-party integration, bulk tools, or\n\t\t\t\t\t\t\t\t\t\tjust to experiment with AODocs."
  version: '69.4'
  title: AODocs REST API
servers:
  - url: https://aodocs.altirnao.com/api
security: []
tags:
  - name: folder
    description: Lets you list existing folders, update folders, create new folders, ...
paths:
  /folder/v1/folders/{folderId}/permissions:
    post:
      tags:
        - folder
      operationId: folder:v1.Folder.updateFolderDrivePermissions
      parameters:
        - $ref: '#/components/parameters/folderId_path_parameter'
        - $ref: '#/components/parameters/securityCode_query_parameter'
        - $ref: '#/components/parameters/domain_query_parameter'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiFolderDrivePermissions'
        required: true
      responses:
        '200':
          description: A ApiFolderDrivePermissions response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiFolderDrivePermissions'
      security:
        - google_id_token-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
        - google_id_token_legacy-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
components:
  parameters:
    folderId_path_parameter:
      name: folderId
      in: path
      required: true
      schema:
        type: string
    securityCode_query_parameter:
      name: securityCode
      in: query
      description: The security code
      required: false
      schema:
        type: string
    domain_query_parameter:
      name: domain
      in: query
      description: The G Suite domain
      required: false
      schema:
        type: string
  schemas:
    ApiFolderDrivePermissions:
      type: object
      properties:
        drivePermissions:
          type: array
          description: Collection of Drive permissions. See ApiDrivePermission
          items:
            $ref: '#/components/schemas/ApiDrivePermission'
        kind:
          type: string
        restrictedDownload:
          type: boolean
          description: >-
            Whether the attachments of the documents are explicitly marked as
            restricted to download, copy and print for readers and commenters
    ApiDrivePermission:
      type: object
      properties:
        additionalRoles:
          type: array
          description: The additional roles for the permission like COMMENTER
          items:
            type: string
        allowlisted:
          type: boolean
          description: >-
            Whether the email address is allowlisted (individually or via its
            domain) in the current domain
        belongsToDomain:
          type: boolean
          description: Whether the email address is part of the current domain
        email:
          type: string
          description: The email of the permission or the domain name if type = DOMAIN
        googleEmailAddress:
          type: boolean
          description: Whether the email address is tied to a Google account
        kind:
          type: string
        name:
          type: string
          description: The displayed name for the permission
        permissionId:
          type: string
          description: The unique ID for the permission in Drive
        role:
          type: string
          description: 'The role of the permission: READER, WRITER, OWNER'
        thumbnailPhotoUrl:
          type: string
          description: The URL of the thumbnail picture of the permitted user or group
        type:
          type: string
          description: 'The type of permission in Drive: ANYONE, DOMAIN, GROUP, USER'
        withLink:
          type: boolean
          description: >-
            Whether the permission imposes to have the link to access (vs. can
            be searched for)
  securitySchemes:
    google_id_token-a99f12e0:
      type: oauth2
      x-google-issuer: https://accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address
    google_id_token_legacy-a99f12e0:
      type: oauth2
      x-google-issuer: accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address

````